from math import*
import numpy as np
import matplotlib as mpl
import matplotlib.pyplot as plt

x = np.linspace(1,15,15)
L = len(x)
E1 = np.zeros(L)
E2 = np.zeros(L)
for i in range(0,L):
    E1[i] = (pi/x[i])**(x[i]+1)/(4*x[i]+4)
    E2[i] = (pi/4)**(x[i]+1)*2/(factorial(x[i]+1))

fig, ax = plt.subplots()
ax.semilogy(x, E1, color="blue", label="Equidistant nodes")
ax.semilogy(x, E2, color="red", label="Chebyshev nodes")
ax.set_xlabel("x")
ax.set_ylabel("y")
ax.legend()
fig.savefig("2c.png", dpi=100, facecolor="#f1f1f1")
